Skip to content

List event subscriptions where this model is the source

GET
/v2/models/{model_id}/event-subscriptions
curl --request GET \
--url https://pie.streamline.enterprises/v2/models/model_price_reco_v1/event-subscriptions \
--header 'Authorization: Bearer <token>'
model_id
required
string
Example
model_price_reco_v1

List of event subscriptions

Media type application/json
Array<object>
object
id
required
string format: uuid
source_model_id
required
string
trigger_event
required
string
Allowed values: training_complete inference_complete
target_model_id
required
string
target_action
required
string
Allowed values: inference training
input_source
required
string
Allowed values: stored trigger_output
input
object
label
string
nullable
status
required
string
Allowed values: active paused stale
created_at
required
string format: date-time
updated_at
required
string format: date-time
warnings

Present when the server detected issues that did not block the operation (e.g. stored subscription input did not validate against the target model’s handler input_schema). Omitted or empty when there are no warnings.

Array<string>
Example
[
{
"trigger_event": "training_complete",
"target_action": "inference",
"input_source": "stored",
"status": "active"
}
]

Missing or invalid Authorization bearer token, expired token, or token rejected by the authorization layer (e.g. API Gateway JWT authorizer or application validation).

Media type application/json
object
success
required
boolean
message
required

Human-readable error message

string
Example
{
"success": false
}

Authenticated caller lacks the permission required for this operation.

Media type application/json
object
success
required
boolean
message
required

Human-readable error message

string
Example
{
"success": false
}

Requested resource was not found.

Media type application/json
object
success
required
boolean
message
required

Human-readable error message

string
Example
{
"success": false
}